module.exports = {
  env: {
    browser: true,
    es2021: true,
    node: true
  },
  extends: ['plugin:vue/essential', 'plugin:storybook/recommended'],
  parserOptions: {
    ecmaVersion: 12,
    sourceType: 'module'
  },
  plugins: ['vue'],
  rules: {
    indent: ['error', 2, {
      SwitchCase: 1
    }],
    semi: ['error', 'never'],
    quotes: ['error', 'single'],
    'max-len': ['warn', {
      code: 120
    }],
    'comma-dangle': ['error', 'never'],
    'object-curly-spacing': ['error', 'always'],
    'arrow-parens': ['error', 'as-needed'],
    'linebreak-style': 0,
    'no-multiple-empty-lines': ['error', {
      max: 1
    }]
  }
};